Bug 269836 - NullPointerException at com.sun.tools.javac.processing.JavacProcessingEnvironment$Round.unrecoverableError
NullPointerException at com.sun.tools.javac.processing.JavacProcessingEnviron...
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Compiler
Dev
All All
: P1 (vote)
: Dev
Assigned To: Dusan Balek
issues@java
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-15 16:09 UTC by zdenek.rod
Modified: 2017-04-23 01:49 UTC (History)
6 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (8.80 KB, text/plain)
2017-02-15 16:09 UTC, zdenek.rod
Details
stacktrace (7.71 KB, text/plain)
2017-03-01 13:36 UTC, muellermi
Details
stacktrace (8.14 KB, text/plain)
2017-03-06 10:54 UTC, ehsavoie
Details
stacktrace (8.14 KB, text/plain)
2017-03-06 13:18 UTC, ehsavoie
Details
stacktrace (3.25 KB, text/plain)
2017-03-15 12:39 UTC, muellermi
Details
stacktrace (8.95 KB, text/plain)
2017-03-22 09:34 UTC, brettryan
Details
stacktrace (8.80 KB, text/plain)
2017-04-04 06:25 UTC, muellermi
Details
stacktrace (4.38 KB, text/plain)
2017-04-10 19:37 UTC, Vladimir Voskresensky
Details
stacktrace (4.90 KB, text/plain)
2017-04-14 12:37 UTC, Vladimir Voskresensky
Details
stacktrace (3.61 KB, text/plain)
2017-04-17 11:04 UTC, Vladimir Voskresensky
Details

Note You need to log in before you can comment on or make changes to this bug.
Description zdenek.rod 2017-02-15 16:09:41 UTC
This bug was originally marked as duplicate of bug 239083, that is already resolved. This bug is still valid, so this seems to be another bug, but it might be related.

Build: NetBeans IDE Dev (Build 201702150002)
VM: Dynamic Code Evolution 64-Bit Server VM, 25.71-b01-dcevmlight-8, Java(TM) SE Runtime Environment, 1.8.0_121-b13
OS: Windows 7

User Comments:
zdenek.rod: I try to add import and this caused an error.




Stacktrace: 
java.lang.NullPointerException
   at com.sun.tools.javac.processing.JavacProcessingEnvironment$Round.unrecoverableError(JavacProcessingEnvironment.java:1150)
   at com.sun.tools.javac.processing.JavacProcessingEnvironment.doProcessing(JavacProcessingEnvironment.java:1319)
   at com.sun.tools.javac.main.JavaCompiler.processAnnotations(JavaCompiler.java:1345)
   at com.sun.tools.javac.main.JavaCompiler.processAnnotations(JavaCompiler.java:1233)
   at com.sun.tools.javac.main.JavaCompiler.lambda$readSourceFile$126(JavaCompiler.java:934)
   at com.sun.tools.javac.code.ClassFinder.complete(ClassFinder.java:315)
Comment 1 zdenek.rod 2017-02-15 16:09:43 UTC
Created attachment 163640 [details]
stacktrace
Comment 2 Exceptions Reporter 2017-02-27 14:18:28 UTC
This bug already has 5 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=228060
Comment 3 muellermi 2017-03-01 13:36:25 UTC
Created attachment 163736 [details]
stacktrace

opening NB
Comment 4 ehsavoie 2017-03-06 10:54:31 UTC
Created attachment 163777 [details]
stacktrace

Openinng a package with Java source code in it
Comment 5 Exceptions Reporter 2017-03-06 10:54:35 UTC
This bug already has 10 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=228060
Comment 6 ehsavoie 2017-03-06 13:18:31 UTC
Created attachment 163779 [details]
stacktrace

recompiling the project from the command line
Comment 7 muellermi 2017-03-15 12:39:39 UTC
Created attachment 163849 [details]
stacktrace

press ctrl+space at the EOL, just after Java's semicolon
Comment 8 brettryan 2017-03-22 09:34:07 UTC
Created attachment 163916 [details]
stacktrace

Renamed a package.
Comment 9 muellermi 2017-04-04 06:25:10 UTC
Created attachment 164015 [details]
stacktrace

NB started, no further action. Seemed to happen on project scan.
Comment 10 muellermi 2017-04-10 08:13:45 UTC
Due to massive autocompletion related bugs, I always stop using the latest dev build after less than one hour, to face the same problem one week later :(
Comment 11 Vladimir Voskresensky 2017-04-10 19:37:11 UTC
Created attachment 164067 [details]
stacktrace

external update of clank sources
Comment 12 Vladimir Voskresensky 2017-04-14 12:37:11 UTC
Created attachment 164110 [details]
stacktrace

opened isPodLikeSuccIterator$T$T_0_1.java
Comment 13 Vladimir Voskresensky 2017-04-17 11:04:12 UTC
Created attachment 164123 [details]
stacktrace

open ValueMap class in editor
Comment 14 muellermi 2017-04-18 08:14:32 UTC
Still a showstopper for testing the nightly build. Increased to P1
Comment 15 Vladimir Voskresensky 2017-04-18 09:09:09 UTC
I've sent a snapshot to java team, where it can be reproduced together with another persistent https://netbeans.org/bugzilla/show_bug.cgi?id=269689
Comment 17 Quality Engineering 2017-04-23 01:49:49 UTC
Integrated into 'main-silver', will be available in build *201704230002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/273ba0ca6a81
User: Dusan Balek <dbalek@netbeans.org>
Log: Issues #269689 and #269836 fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo